Show / Hide Table of Contents

# AsyncLazy<T> Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class AsyncLazy<T>

##### Inheritance

System.Object → AsyncLazy<T>

#### Type Parameters

`T`

### Members

#### Constructors

Name | Description
--- | ---
AsyncLazy(Func<UniTask<T>>) |

#### Properties

Name | Description
--- | ---
Task |

#### Methods

Name | Description
--- | ---
GetAwaiter() |

### Constructors

#### AsyncLazy(Func<UniTask<T>>)

    public AsyncLazy(Func<UniTask<T>> valueFactory)

##### Parameters

`valueFactory` Func<UniTask<T>>

### Properties

#### Task

    public UniTask<T> Task { get; }

##### Property Value

UniTask<T>

### Methods

#### GetAwaiter()

    public UniTask<T>.Awaiter GetAwaiter()

##### Returns

UniTask.Awaiter<>